From a4fe53d341a75b945a4dba2eb2747e3126b22bea Mon Sep 17 00:00:00 2001
From: A Costa <agcosta@gis.net>
Date: Tue, 14 Jan 2014 10:34:07 +0000
Subject: Fix typos in browser-history.html

Bug-Debian: http://bugs.debian.org/304317
Last-Update: 2016-01-02

Patch-Name: typos.patch
---
 browser-history.html | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

diff --git a/browser-history.html b/browser-history.html
index c168833..7b54237 100644
--- a/browser-history.html
+++ b/browser-history.html
@@ -37,13 +37,13 @@
 <p> Browser-history came from the will to overcome a Netscape bug: there was no
     global history, and if you close a window, its whole history is lost. For
     people browsing lots of sites, having a possibility to track back where
-    one has been before means that you dont have to put everything in your
-    bookmarks file. If you are not sure if a site may be worth remebering,
+    one has been before means that you don't have to put everything in your
+    bookmarks file. If you are not sure if a site may be worth remembering,
     don't add it in your bookmarks. If you need it later, just browse your
     history files.
 
 <p> Later, it came to our minds that this also could be a valuable add-on to
-    people writing experimental browsers, so they dont have to add this
+    people writing experimental browsers, so they don't have to add this
     functionality to their browser itself, and to users able thus to track
     their web history regardless of the browser they used.
 
@@ -154,7 +154,7 @@ directory)
 
 <p> browser-history <b>tracks</b> automagically all already present browser
 windows, and all new ones created in the future. This program has no user
-interface. It just appens information to a log file in html format so you can
+interface. It just appends information to a log file in html format so you can
 browse it through a web browser. If more that one hour has passed since last
 entry, it draws an horizontal lines, and adds H1 headers to delimit new
 days. Each week (sunday mornings), it archives the week history, compresses it
@@ -371,7 +371,7 @@ void SetXProperties(	    /* sets info for browser-history on each new URL */
     static Atom property_name = 0;
 	                                    /* 13 is strlen("URL=0TITLE=00") */
     int v_size = strlen(title) + strlen(url) + 13;
-    char *v = (char *) malloc(v_size);	/* or alloca, but dont call free */
+    char *v = (char *) malloc(v_size);	/* or alloca, but don't call free */
     sprintf(v, "URL=%s%cTITLE=%s%c", url, 0, title, 0);
     if (!property_name)
 	property_name = XInternAtom(dpy, "BROWSER_HISTORY_INFO", False);
